.sect .text; .sect .rom; .sect .data; .sect .bss
.extern _main
.sect .text
_main:
push ebp
mov ebp,esp
push esi
xor esi,esi
I1_6:
cmp esi,10
jge I1_3
mov edx,esi
inc edx
push edx
push I_1
call _printf
pop ecx
pop ecx
push 1
call _sleep
pop ecx
inc esi
jmp I1_6
I1_3:
push 3
call _exit
pop ecx
pop esi
leave
ret
.sect .rom
I_1:
.data4	1819043144
.data4	1870078063
.data4	560229490
.data4	1680156704
.data4	2601
.sect .text
